package service

import (
	"fmt"

	"be.ems/src/modules/network_data/model"
	"be.ems/src/modules/network_data/repository"
)

// 实例化数据层 UEEventMME 结构体
var NewUEEventMME = &UEEventMME{
	ueEventRepository: repository.NewUEEventMME,
}

// UEEventMME UE会话事件MME 服务层处理
type UEEventMME struct {
	ueEventRepository *repository.UEEventMME // UE会话事件数据信息
}

// SelectPage 根据条件分页查询
func (r *UEEventMME) SelectPage(querys model.UEEventMMEQuery) map[string]any {
	return r.ueEventRepository.SelectPage(querys)
}

// DeleteByIds 批量删除信息
func (r *UEEventMME) DeleteByIds(ueIds []string) (int64, error) {
	// 检查是否存在
	ids := r.ueEventRepository.SelectByIds(ueIds)
	if len(ids) <= 0 {
		return 0, fmt.Errorf("no data")
	}

	if len(ids) == len(ueIds) {
		rows := r.ueEventRepository.DeleteByIds(ueIds)
		return rows, nil
	}
	// 删除信息失败！
	return 0, fmt.Errorf("delete fail")
}
